package serializer

import (
	"chain-dci/pb/dci"
	"github.com/alibabacloud-go/tea/tea"
	bccrClient "github.com/antchain-openapi-sdk-go/bccr/client"
)

func UploadUrlResponseToRpc(in *bccrClient.GetUploadurlResponse) (out *dci.GetUploadUrlResponse) {
	out = new(dci.GetUploadUrlResponse)
	out.ReqMsgId = tea.ToString(in.ReqMsgId)
	out.ResultMsg = tea.ToString(in.ResultMsg)
	out.ResultCode = tea.ToString(in.ResultCode)
	out.Url = tea.ToString(in.Url)
	out.FileId = tea.ToString(in.FileId)
	return
}